﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;


namespace desene
{
    public partial class Form1 : Form
    {
        Graphics G;
        string tip;
        Pen P = new System.Drawing.Pen(Color.Black);
        SolidBrush B = new SolidBrush(Color.Black);

        public Form1()
        {
            InitializeComponent();
        }

        private void pictureBox1_Click(object sender, EventArgs e)
        {
            int x, y;
            x = MousePosition.X;
            y = MousePosition.Y;
            x = x - this.Left - 9 ;
            y = y - this.Top - menuStrip1.Height-28;
            
            switch(tip)
            {
                case "punct": G.DrawEllipse(P, x, y, 1, 1); break;
                case "cerc": G.DrawEllipse(P, x-25, y-25, 50, 50); break;
                case "patrat": G.DrawRectangle(P, x-25, y-25, 50, 50); break;
                case "disc": G.FillEllipse(B, x - 25, y - 25, 50, 50); break;
                case "patrat plin": G.FillRectangle(B, x - 25, y - 25, 50, 50); break;
                default: MessageBox.Show("Alegeti o figura!"); break;
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            tip = "";
            G = pictureBox1.CreateGraphics();
        }

        private void punctToolStripMenuItem_Click(object sender, EventArgs e)
        {
            tip = "punct";
        }

        private void cercToolStripMenuItem_Click(object sender, EventArgs e)
        {
            tip = "cerc";
        }

        private void patratToolStripMenuItem_Click(object sender, EventArgs e)
        {
            tip = "patrat";
        }

        private void culoriToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                P.Color = colorDialog1.Color;
                B.Color = colorDialog1.Color;
            }
        }

        private void discToolStripMenuItem_Click(object sender, EventArgs e)
        {
            tip = "disc";
        }

        private void patratPlinToolStripMenuItem_Click(object sender, EventArgs e)
        {
            tip = "patrat plin";
        }
    }
}
